#!/usr/bin/env python3
from pathlib import Path
from sys import argv

from hpvm_profiler import profile_configs, read_hpvm_configs, write_hpvm_configs

# relative to cwd()
benchmarks_bindir = Path("../hpvm-c")
# relative to location of this file
benchmarks_srcdir = Path(__file__).parent / "../hpvm-c/benchmarks"
# We're called in the "current" binary directory.
# For example (depending on where build dir is),
# "hpvm/build/tools/hpvm/test/dnn_benchmarks/profiling".
# So we know where the benchmark binaries are due to source directory structure,
# and this is not hardcoding.
dnn = argv[1]
bench_bin_file = benchmarks_bindir / f"hpvm_{dnn}"
config_file = benchmarks_srcdir / dnn / "data/tuner_confs.txt"
out_config_file = f"./{dnn}.txt"
header, configs = read_hpvm_configs(config_file)
profile_configs(bench_bin_file, configs[1:6], configs[0], progress_bar=False)
write_hpvm_configs(header, configs[:6], out_config_file)
